> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List channels

> Returns the summary of communication channels for your Text product.



## OpenAPI

````yaml /api/configuration/v3.6/openapi.json post /action/list_channels
openapi: 3.1.0
info:
  title: Configuration API
  version: v3.6
servers:
  - url: https://api.livechatinc.com/v3.6/configuration
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken: []
paths:
  /action/list_channels:
    post:
      tags:
        - Other
      summary: List channels
      description: Returns the summary of communication channels for your Text product.
      operationId: list-channels
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
            example: {}
      responses:
        '200':
          description: A list of communication channels.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Channel'
              example:
                - channel_type: code
                  channel_subtype: ''
                  first_activity_timestamp: '2026-06-12T13:56:16Z'
                - channel_type: direct_link
                  channel_subtype: ''
                  first_activity_timestamp: '2026-06-12T15:20:00Z'
                - channel_type: integration
                  channel_subtype: c6e4f62e2a2dab12531235b12c5a2a6b
                  first_activity_timestamp: '2026-06-16T16:55:51Z'
components:
  schemas:
    Channel:
      type: object
      properties:
        channel_type:
          type: string
          enum:
            - code
            - direct_link
            - integration
          description: The channel type.
        channel_subtype:
          type: string
          description: >-
            An empty string for `code` and `direct_link`; the Client ID for
            `integration`.
        first_activity_timestamp:
          type: string
          format: date-time
          description: >-
            The timestamp in RFC 3339 date-time format indicating when the
            channel was first used.
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: basic
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
    OAuth2BearerToken:
      type: http
      scheme: bearer
      description: Authenticate using an OAuth 2.0 Bearer token.
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````